BGPNSH(8)

NAME
bgpnsh - BGP Looking Glass Network Shell

SYNOPSIS
bgpnsh

DESCRIPTION
bgpnsh is a command interpreter intended for interactive use as a BGP Looking Glass shell for routers running bgpd(8).

bgpnsh is an alternative to bgplgsh(8) with a user interface that matches the user interface of nsh(8).

All functionality of bgpnsh is also available in nsh(8). Unlike nsh(8), bgpnsh restricts users to commands which obtain BGP routing information for diagnostic purposes.

bgpnsh will usually be configured as the login shell for dedicated user accounts which are used to obtain BGP routing information from the system. See shells(5) for more information.

ENVIRONMENT

BGPNSH_SOCKET
    Sets an alternative path to the restricted control socket of bgpd(8). The default path is /var/www/run/bgpd.rsock.

SEE ALSO
shells(5), bgpd(8), bgplg(8), bgplgsh(8), nsh(8)